Extensions and Updates not working correctly

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Extensions and Updates not working correctly

1,480 Views
m_mishrikey
Contributor III

I am really stuck here.  Fresh S32DS 3.5 install, and I can't add in the SDK.  

m_mishrikey_0-1665173235176.png

 

m_mishrikey_1-1665173376774.png

 

 

0 Kudos
6 Replies

1,465 Views
m_mishrikey
Contributor III

I can tell this is not a firewall issue because if I try to access that contents.xml file on my non-firewalled phone, I also get a Page Not Found from NXP web server.

 

0 Kudos

1,430 Views
mikedoidge
NXP Employee
NXP Employee

Hi @m_mishrikey 

This is most likely a firewall issue. All of the sites are failing, including;

http://gnuarmeclipse.sourceforge.net

http://www.pemicro.com

http://www.lauterbach.com

The NXP site doesn't work by loading in a web browser. The error you received when trying that is expected.

Best Regards,

Mike

0 Kudos

1,427 Views
m_mishrikey
Contributor III

I can access all the top level domains in a web browser, so I'm not sure what I should tell my IT folks about what needs to be whitelisted.

0 Kudos

1,422 Views
mikedoidge
NXP Employee
NXP Employee

Which SDK are you looking to install? All of the packages are available for offline install as well. I could help you locate the offline package for download.

Mike

0 Kudos

1,416 Views
m_mishrikey
Contributor III

Not sure if it's called S32 SDK or S32K1 SDK.  I just need the Processor Expert (or whatever it's called now) hooks for S32K148.   

Not sure if RTD is needed too.  We didn't have RTD with S32K for ARM 2.2, not sure if 3.5 needs it to get the PEX stuff going.

Maybe I should just get the 5GB offline installer instead of Windows Installer?

0 Kudos

1,410 Views
mikedoidge
NXP Employee
NXP Employee

Hi Matthew,

For the S32 Design Studio for S32 Platform v3.5, you are looking to install the following packages using the S32DS Extensions and Updates menu:

image.png

You will need both as the SDK depends upon the development package.

Since you are experiencing issues connecting to our update server and installing these online, I am recommending that you perform the offline install method. To do this, you will need to download the packages from our website first, then add them using the 'Add Update Sites' link (blue linked text) shown in the image above.

At this time, this time, both of these packages are only available via the large (4.6 GB) file you already referenced.

image.png

For your convenience, here is a direct link to that Product Download page:

https://nxp.flexnetoperations.com/control/frse/download?agree=Accept&element=13592207

Please note: You must first sign in and navigate all the way to the Product List page BEFORE this link will take you to the page.

One more note: The SDK package shown above is not the RTD. There isn't yet an RTD package for S32DS 3.5. The difference between the SDK and the RTD is that the RTD contains both the SDK and the MCAL drivers. The MCAL drivers are compliant with AUTOSAR 4.4. So if you don't care about AUTOSAR, you don't need the MCAL drivers and the SDK should be enough for you. If you need the MCAL drivers, then you should probably stay with S32DS 3.4 for now until the RTD package for S32K1xx family is published.

Please let me know if you have any further issues.

Best Regards,

Mike

0 Kudos